Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
nkf_state_t Struct Reference

## Data Fields
nkf_buf_t * | std_gc_buf
nkf_char | broken_state
nkf_buf_t * | broken_buf
nkf_char | mimeout_state
nkf_buf_t * | nfc_buf

## Detailed Description

Definition at line 3298 of file nkf.c.

## Field Documentation

nkf_buf_t* nkf_state_t::broken_buf

Definition at line 3301 of file nkf.c.

Referenced by broken_getc(), broken_ungetc(), and nkf_state_init().

nkf_char nkf_state_t::broken_state

Definition at line 3300 of file nkf.c.

Referenced by broken_getc(), and nkf_state_init().

nkf_char nkf_state_t::mimeout_state

Definition at line 3302 of file nkf.c.

Referenced by eof_mime(), mimeout_addchar(), and nkf_state_init().

nkf_buf_t* nkf_state_t::nfc_buf

Definition at line 3303 of file nkf.c.

Referenced by nfc_getc(), and nkf_state_init().

nkf_buf_t* nkf_state_t::std_gc_buf

Definition at line 3299 of file nkf.c.

Referenced by nkf_state_init(), std_getc(), and std_ungetc().

The documentation for this struct was generated from the following file:

- ext/nkf/nkf-utf8/nkf.c